import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dictData' },
})
export class DictData extends BaseModel {
  @prop({ required: false, index: false, zh: '字典编码' })
  dict_code: string;
  @prop({ required: false, index: false, zh: '字典排序' })
  dict_sort: string;
  @prop({ required: false, index: false, zh: '字典标签' })
  dict_label: string;
  @prop({ required: false, index: false, zh: '字典键值' })
  dict_value: string;
  @prop({ required: false, index: false, zh: '字典类型' })
  dict_type: string;
  @prop({ required: false, index: false, zh: '状态', remark: '0:正常;1停用' })
  status: string;
}
