import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dictIndex' },
})
export class DictIndex extends BaseModel {
  @prop({ required: false, index: true, zh: '字典名称' })
  dict_name: string;
  @prop({ required: false, index: true, zh: '字典类型' })
  dict_type: string;
  @prop({
    required: false,
    index: false,
    zh: '状',
    remark: '// 0：正常，1：停用',
    default: '0',
  })
  status: string;
}
