import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'doctor' },
})
export class Doctor extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: true, zh: '指导教师' })
  teacher: string;
  @prop({ required: false, index: true, zh: '学位', remark: '字典' })
  degree: string;
  @prop({ required: false, index: true, zh: '状态', remark: '字典' })
  state: string;
  @prop({ required: false, index: true, zh: '完成时间' })
  time: string;
  @prop({ required: false, index: true, zh: '研究方向' })
  direction: string;
  @prop({ required: false, index: false, zh: '附件' })
  file: Array<any>;
}
