import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'title' },
})
export class Title extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: true, zh: '职称' })
  nickname: string;
  @prop({ required: false, index: true, zh: '研究方向' })
  direction: string;
  @prop({ required: false, index: true, zh: '晋升时间' })
  time: string;
  @prop({ required: false, index: false, zh: '集合' })
  file: Array<any>;
}
