import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'unit' },
})
export class Unit extends BaseModel {
  @prop({ required: false, index: true, zh: '用户名' })
  name: string;
  @prop({ required: false, index: true, zh: '联系电话' })
  phone: string;
  @prop({ required: false, index: true, zh: '地址' })
  address: string;
}
