import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Menus } from '../entity/menus.entity';
type modelType = ReturnModelType<typeof Menus>;
@Provide()
export class MenusService extends BaseService<modelType> {
  @InjectEntityModel(Menus)
  model: modelType;
}
