import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Personnel } from '../entity/personnel.entity';
type modelType = ReturnModelType<typeof Personnel>;
@Provide()
export class PersonnelService extends BaseService<modelType> {
  @InjectEntityModel(Personnel)
  model: modelType;
}
