import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Report } from '../entity/report.entity';
type modelType = ReturnModelType<typeof Report>;
@Provide()
export class ReportService extends BaseService<modelType> {
  @InjectEntityModel(Report)
  model: modelType;
}
