import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Science } from '../entity/science.entity';
type modelType = ReturnModelType<typeof Science>;
@Provide()
export class ScienceService extends BaseService<modelType> {
  @InjectEntityModel(Science)
  model: modelType;
}
