import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'basic' },
})
export class Basic extends BaseModel {
  @prop({ required: false, index: true, zh: '姓名' })
  name: string;
  @prop({ required: false, index: false, zh: '证件类别', remark: '字典' })
  card_type: string;
  @prop({ required: false, index: false, zh: '证件号码' })
  num: string;
  @prop({ required: false, index: false, zh: '性别' })
  gender: string;
  @prop({ required: false, index: false, zh: '出生年月' })
  birth: string;
  @prop({ required: false, index: true, zh: '联系电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '电子邮箱' })
  email: string;
  @prop({ required: false, index: false, zh: '工作单位' })
  unit: string;
  @prop({ required: false, index: false, zh: '办公电话' })
  work_phone: string;
  @prop({ required: false, index: false, zh: '学历', remark: '字典' })
  education: string;
  @prop({ required: false, index: false, zh: '学位' })
  degree: string;
  @prop({ required: false, index: false, zh: '职称' })
  title: string;
  @prop({ required: false, index: false, zh: '研究领域' })
  field: string;
}
