import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'otherAward' },
})
export class OtherAward extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '成果类型', remark: '字典' })
  type: string;
  @prop({ required: false, index: true, zh: '成果编号' })
  no: string;
  @prop({ required: false, index: true, zh: '成果名称' })
  name: string;
  @prop({ required: false, index: false, zh: '完成人' })
  participants: Array<any>;
  @prop({ required: false, index: true, zh: '完成单位' })
  company: string;
  @prop({ required: false, index: false, zh: '研究方向' })
  direction: string;
  @prop({ required: false, index: false, zh: '附件' })
  file: Array<any>;
  @prop({ required: false, index: true, zh: '发表时间' })
  time: string;
}
