import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'outcome' },
})
export class Outcome extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '成果内容' })
  content: string;
  @prop({ required: false, index: true, zh: '完成时间' })
  time: string;
  @prop({ required: false, index: false, zh: '附件' })
  file: Array<any>;
}
