import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'report' },
})
export class Report extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '活动名称' })
  name: string;
  @prop({ required: false, index: true, zh: '报告性质', remark: '字典' })
  type: string;
  @prop({ required: false, index: false, zh: '是否采纳' })
  is_adopt: string;
  @prop({ required: false, index: false, zh: '反馈信息' })
  message: string;
  @prop({ required: false, index: false, zh: '备注' })
  content: string;
  @prop({ required: false, index: false, zh: '附件' })
  file: Array<any>;
}
