import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'role' },
})
export class Role extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '菜单权限' })
  menu: object;
  @prop({ required: false, index: false, zh: '编码' })
  code: string;
  @prop({ required: false, index: false, zh: '状态', remark: '0:正常;1停用' })
  status: string;
}
