import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'sciencePopularize' },
})
export class SciencePopularize extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '活动主题' })
  name: string;
  @prop({ required: false, index: true, zh: '活动开始时间' })
  start_time: string;
  @prop({ required: false, index: true, zh: '活动结束时间' })
  end_time: string;
  @prop({ required: false, index: false, zh: '参与人数' })
  person_num: number;
  @prop({ required: false, index: false, zh: '宣传报导' })
  propaganda: string;
  @prop({ required: false, index: false, zh: '工作人员人数' })
  self_num: number;
  @prop({ required: false, index: false, zh: '备注' })
  content: string;
  @prop({ required: false, index: false, zh: '附件' })
  file: Array<any>;
}
