import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'sjActivity' },
})
export class SjActivity extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'Basic' })
  user: string;
  @prop({ required: false, index: true, zh: '项目', ref: 'Science' })
  science: string;
  @prop({ required: false, index: true, zh: '活动名称' })
  name: string;
  @prop({ required: false, index: false, zh: '充当角色' })
  role: string;
  @prop({ required: false, index: false, zh: '人数' })
  person_num: number;
  @prop({ required: false, index: false, zh: '宣传报道' })
  propaganda: string;
  @prop({ required: false, index: false, zh: '作者备注' })
  content: string;
  @prop({ required: false, index: false, zh: '附件' })
  file: Array<any>;
}
