import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Award } from '../entity/award.entity';
type modelType = ReturnModelType<typeof Award>;
@Provide()
export class AwardService extends BaseService<modelType> {
  @InjectEntityModel(Award)
  model: modelType;
}
