import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DictIndex } from '../entity/dictIndex.entity';
type modelType = ReturnModelType<typeof DictIndex>;
@Provide()
export class DictIndexService extends BaseService<modelType> {
  @InjectEntityModel(DictIndex)
  model: modelType;
}
