import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Outcome } from '../entity/outcome.entity';
type modelType = ReturnModelType<typeof Outcome>;
@Provide()
export class OutcomeService extends BaseService<modelType> {
  @InjectEntityModel(Outcome)
  model: modelType;
}
