import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Paper } from '../entity/paper.entity';
type modelType = ReturnModelType<typeof Paper>;
@Provide()
export class PaperService extends BaseService<modelType> {
  @InjectEntityModel(Paper)
  model: modelType;
}
