import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Role } from '../entity/role.entity';
// const { ObjectId } = require('mongoose').Types;
type modelType = ReturnModelType<typeof Role>;
@Provide()
export class RoleService extends BaseService<modelType> {
  @InjectEntityModel(Role)
  model: modelType;
  async afterUpdate(data) {
    try {
      // const { _id } = data;
      // // 更新redis的角色信息
      // const keys = await this.app.redis.keys('user:*');
      // for (const key of keys) {
      //   let ui = await this.app.redis.get(key);
      //   if (!ui) continue;
      //   ui = JSON.parse(ui);
      //   if (!ObjectId(ui.role._id).equals(_id)) continue;
      //   const arr = key.split(':');
      //   const user_id = _.last(arr);
      //   const { populate } = this.ctx.service.system.user.getRefMods();
      //   const user = await this.ctx.model.System.User.findById(
      //     user_id
      //   ).populate(populate);
      //   if (!user) continue;
      //   await this.ctx.service.system.user.setUserInRedis(user);
      // }
    } catch (error) {
      console.log('更新redis角色信息失败');
      console.log(error);
    }
    return data;
  }
}
