import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Title } from '../entity/title.entity';
type modelType = ReturnModelType<typeof Title>;
@Provide()
export class TitleService extends BaseService<modelType> {
  @InjectEntityModel(Title)
  model: modelType;
}
